For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Search docs
/
Ask AI
Sign in
Docs
API Reference
Changelog
Developer
Developer
Developer
Developer
REST
Sites
Get Site
Copy page
GET
https://api.makeswift.com
/
v2
/
sites
/
:siteId
Returns a site by its ID.
Authentication
x-api-key
string
API key authentication. Accepts either:
App API key (e.g. sk_eczMHVBY9fV6GYFhvs53qcnxq7yptlXL3ABKOZtn6dQ)
Site API key (UUID format, e.g. 550e8400-e29b-41d4-a716-446655440000)
Path parameters
siteId
string
Required
format: "uuid"
The site ID for the site you are requesting.
Response
object
enum
The type of the object
Allowed values:
site
id
string
format: "uuid"
name
string
The site name.
hostOrigin
string or null
format: "uri"
The public URL where your site is hosted. This is the URL that Makeswift uses to render your site for editing.
publicApiKey
string
format: "uuid"
The publishable API key that a host can use to get page and component data for rendering your site.
defaultLocale
string
The primary locale of this site.
localeManagementMode
enum
Controls whether locales are managed internally via the builder or externally via API.
Allowed values:
internal
external
defaultLocalePathPrefix
string or null
Errors
403
Forbidden Error